document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_2700 | ---
+++
@@ -13,5 +13,5 @@
alias gbrt='git branch-timeline'
# Don't log these in my history.
-alias ls=' ls --color'
+alias ls=' ls -G'
alias cd=' cd' | bash |
d_bash_2701 | ---
+++
@@ -1,3 +1,4 @@
set -o vi
export EDITOR=nvim
export VISUAL=nvim
+export MANPAGER="nvim -c 'set ft=man' -" | bash |
d_bash_2702 | ---
+++
@@ -1,5 +1,20 @@
#!/bin/sh
set -e
-# Make the required log directory
+# Make the required log directory and give the web server write access
mkdir -p /var/log/redcap/autonotify
+chown -R www-data.www-data /var/log/redcap
+
+# Activate log rotation to assure we never have to worry about these logs
+cat <<... | bash |
d_bash_2703 | ---
+++
@@ -7,4 +7,9 @@
name=`date +"/tmp/finances_backups_%Y%m%d%H%M.tgz"`
tar cf $name sql_backups
gpg -e -r max $name
-scp $name.gpg pi-internal:/home/max/backups
+
+if [[ "$1" != "" ]]
+then
+ ssh $1 "mkdir -p ~/data"
+ scp $name.gpg "$1:~/data/"
+fi | bash |
d_bash_2704 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash -e
-for TILE in $PRODUCT_DIR/*pivotal; do
+for TILE in $PRODUCT_DIR/*.pivotal; do
unzip -d $OUTPUT_DIR $TILE
done
| bash |
d_bash_2705 | ---
+++
@@ -1,14 +1,14 @@
#!/bin/bash
+
cd
if [ ! -d ~/Engine ]; then
git clone https://github.com/fp7-netide/Engine
fi
-# TODO: install netip libraries so that java and python can find them
+x="export PYTHONPATH=\$PYTHONPATH:~/Engine/libraries/netip/python"
-#echo "export PYTHONPATH=\$PYTHONPATH:~/Engin... | bash |
d_bash_2706 | ---
+++
@@ -3,7 +3,12 @@
cd "$(dirname "$(readlink -f "$BASH_SOURCE")")/.."
-files="$(find -name '*.md' -print0 | xargs -0 markdownfmt -l)"
+files="$(
+ find \( \
+ -name '*.md' \
+ -not -name 'README.md' \
+ \) -print0 \
+ | xargs -0 markdownfmt -l)"
if [ "$files" ]; then
echo >&2 'Need markdownfmt:'
... | bash |
d_bash_2707 | ---
+++
@@ -6,9 +6,11 @@
set -e
set -x
+lsb_release -a
+
sudo add-apt-repository -y "ppa:lukasaoz/openssl101-ppa"
sudo apt-get -y update
-sudo apt-get install -y --force-yes openssl libssl1.0.0 libssl-dev
+sudo apt-get install -y --force-yes openssl libssl1.0.0
pip install .
pip install -r test_requirements... | bash |
d_bash_2708 | ---
+++
@@ -15,7 +15,7 @@
. cmake/linux_launcher_install.sh
cp build/current/Hypersomnia hypersomnia/.Hypersomnia
pushd hypersomnia
- rm -r cache
+ rm -r cache, logs, user, demos
popd
7z a -sfx $FILE_PATH hypersomnia
curl -F "key=$API_KEY" -F "platform=$PLATFORM" -F "commit_hash=$COMMIT_HASH" -F "version... | bash |
d_bash_2709 | ---
+++
@@ -13,7 +13,7 @@
--enable-cap \
--enable-multibyte \
--with-term-lib='ncursesw tinfo' \
- --without-tcsetpgrp \
+ --with-tcsetpgrp \
--program-suffix="-$v"
make install.bin | bash |
d_bash_2710 | ---
+++
@@ -7,7 +7,7 @@
}
printf '%s' "SILEDATA ="
-finder classes core inputters languages outputters packages shapers -name '*.lua' -not '*_spec.lua' -not -name 'version.lua'
+finder classes core inputters languages outputters packages shapers -name '*.lua' -not -name '*_spec.lua' -not -name 'version.lua'
find... | bash |
d_bash_2711 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
if [[ $TRAVIS_BRANCH == "master" ]]; then
- sphinx-apidoc -T -o docs/source pyramid_jsonapi
+ sphinx-apidoc -T -e -o docs/source pyramid_jsonapi
travis-sphinx build
travis-sphinx deploy
fi | bash |
d_bash_2712 | ---
+++
@@ -13,8 +13,8 @@
$remote_ssh "sudo docker-compose -f /tmp/$INSTANCE_NAME pull"
export id="$($remote_ssh sudo docker ps | grep $INSTANCE_NAME | sed 's/ .*//')"
- $remote_ssh "sudo docker stop $id"
- $remote_ssh "sudo docker rm $id"
+ $remote_ssh "sudo docker-compose -f /tmp/$INSTANCE_NAME stop $id"... | bash |
d_bash_2713 | ---
+++
@@ -9,4 +9,4 @@
cp -R /vt/dist/py-* /out/pkg/
# We also need the grpc libraries.
-cp /usr/local/lib/libgrpc.so.0 /out/lib/
+cp /usr/local/lib/libgrpc.so /out/lib/ | bash |
d_bash_2714 | ---
+++
@@ -1,13 +1,20 @@
#!/bin/bash
+# set -x # for debugging
+
+access_token=""
#### CORE FUNCTIONS
gh_request()
{
local gh_request_route=$@
- curl -s -G "https://api.github.com/$gh_request_route" -H "Accept: application/vnd.github.full+json"
- # echo "Request Route: $gh_request_route"
+ if [ -n "$... | bash |
d_bash_2715 | ---
+++
@@ -2,7 +2,7 @@
PKG_CONFIG_LIBDIR=/usr/win32/lib/pkgconfig \
CPPFLAGS="-I/usr/win32/include -I/usr/win32/include/ebml" \
LDFLAGS="-L/usr/win32/lib" \
-CC=gcc CXX=g++ \
+CC=i586-mingw32msvc-gcc CXX=i586-mingw32msvc-g++ \
CONFIG="./configure --host=i586-mingw32msvc --build=i386-linux
--disable-mkv --disa... | bash |
d_bash_2716 | ---
+++
@@ -1,5 +1,5 @@
#! /bin/bash
-if ! boot2docker status > /dev/null
+if ! boot2docker ip > /dev/null 2> /dev/null
then boot2docker up
fi
| bash |
d_bash_2717 | ---
+++
@@ -3,6 +3,7 @@
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+mkdir -p "$HOME/.config/systemd/user"
cp "$DIR/wl2k.service" "$HOME/.config/systemd/user/"
systemctl --user daemon-reload
| bash |
d_bash_2718 | ---
+++
@@ -2,7 +2,7 @@
echo "building Addin..."
python ./makeaddin.py
echo "signing Addin..."
-/c/apps/arcgis/Desktop10.1/bin/ESRISignAddin.exe c:\\data\\arcgis\\addins\\btm.esriaddin /c:c:\\data\\arcgis\\addins\\cert.cer
+"/c/Program Files (x86)/Common Files/ArcGIS/bin/ESRISignAddin.exe" c:\\data\\arcgis\\addins... | bash |
d_bash_2719 | ---
+++
@@ -1,11 +1,5 @@
sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test
sudo apt-get update
sudo apt-get install gcc-4.8 g++-4.8
-sudo update-alternatives --remove-all gcc
-sudo update-alternatives --remove-all g++
-sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-4.8 20
-sudo update-altern... | bash |
d_bash_2720 | ---
+++
@@ -2,7 +2,18 @@
# Override the default value set in configure.ac that has '-g' which produces
# huge binary.
-export CXXFLAGS=-DNDEBUG
+export CXXFLAGS="-DNDEBUG"
+
+# Statically link libgcc and libstdc++
+export LDFLAGS="-static-libgcc -static-libstdc++"
+
+# Under Cygwin we use MinGW GCC because the ex... | bash |
d_bash_2721 | ---
+++
@@ -1,4 +1,2 @@
-mysqladmin -u root -p drop recipieces_development
-mysqladmin -u root -p create recipieces_development
-rake db:migrate
+rake db:reset
rake db:seed | bash |
d_bash_2722 | ---
+++
@@ -17,7 +17,7 @@
"src/plugins/camel/camel.c" \
"src/plugins/ccode/"*.cpp \
"src/plugins/cpptemplate/"*.cpp \
- "src/plugins/directoryvalue/"*.c \
+ "src/plugins/directoryvalue/"*.cpp \
"src/plugins/mini/mini.c" \
"src/plugins/yamlcpp/"*.{c,cpp} \
"src/plugins/yaml... | bash |
d_bash_2723 | ---
+++
@@ -2,12 +2,63 @@
GIT_UPSTREAM=https://github.com/uutils/coreutils.git
CARGOFLAGS="--no-default-features --features redox"
+BINS=(
+ base32
+ base64
+ basename
+ chmod
+ cksum
+ comm
+ cp
+ cut
+ date
+ dircolors
+ dirname
+ echo
+ env
+ expand
+ expr
+ factor
+ false
+ fmt
+ fold
+ he... | bash |
d_bash_2724 | ---
+++
@@ -10,8 +10,8 @@
brew install ansible
# debian, ubuntu, mint etc.
elif [[ $unamestr == "Linux" && -f $(which apt-get) ]]; then
- sudo apt-get install software-properties-common
- sudo apt-add-repository ppa:ansible/ansible
+ sudo apt-get install -y software-properties-common
+ sudo apt-ad... | bash |
d_bash_2725 | ---
+++
@@ -3,13 +3,13 @@
case "$1" in
java17)
- echo "https://github.com/bell-sw/Liberica/releases/download/17.0.4.1+1/bellsoft-jdk17.0.4.1+1-linux-amd64.tar.gz"
+ echo "https://github.com/bell-sw/Liberica/releases/download/17.0.5+8/bellsoft-jdk17.0.5+8-linux-amd64.tar.gz"
;;
java18)
- echo "https://gith... | bash |
d_bash_2726 | ---
+++
@@ -1,15 +1,45 @@
#!/bin/bash
+
+set -xe
if [ -n "$1" ]; then
source "$1"
fi
+#VPN_SERVER_IP
#TARGET_IP=
+
LOCAL_INTERFACE="${LOCAL_INTERFACE:-eth0}"
TUNNEL_INTERFACE="${TUNNEL_INTERFACE:-ppp0}"
+CONNECTION_NAME="${CONNECTION_NAME:-L2TP-PSK}"
function get_tunnel_ip() {
ip addr show $TUNNEL_... | bash |
d_bash_2727 | ---
+++
@@ -29,5 +29,5 @@
( cd freeciv
- ./autogen.sh CFLAGS="-O3" --with-project-definition=../freeciv-web.project --enable-fcweb --enable-json --disable-delta-protocol --disable-nls --disable-fcmp --enable-freeciv-manual=html --disable-ruledit --enable-ai-static=classic,threaded --prefix=${HOME}/freeciv/ && m... | bash |
d_bash_2728 | ---
+++
@@ -22,7 +22,7 @@
alias please='sudo'
## more intelligent acking for ubuntu users
-if which ack-grep > /dev/null;
+if which ack-grep &> /dev/null;
then
alias afind='ack-grep -il'
else | bash |
d_bash_2729 | ---
+++
@@ -10,6 +10,7 @@
DESTDIR="/usr/local/bin"
+
create_launcher() {
full_path=$1
name=$(basename $full_path)
@@ -20,7 +21,9 @@
fi
#echo "QiBuild directory: $p"
- echo '#!/bin/sh' > ${DESTDIR}/${name}
+ echo '#!/bin/sh' > ${DESTDI... | bash |
d_bash_2730 | ---
+++
@@ -3,7 +3,7 @@
if is_osx; then
POWERLEVEL9K_LEFT_PROMPT_ELEMENTS=(chruby vi_mode vcs newline dir status)
else
- POWERLEVEL9K_LEFT_PROMPT_ELEMENTS=(newline chruby vi_mode newline dir status)
+ POWERLEVEL9K_LEFT_PROMPT_ELEMENTS=(chruby vi_mode newline dir status)
fi
POWERLEVEL9K_RIGHT_PROMPT_ELEMENTS=... | bash |
d_bash_2731 | ---
+++
@@ -6,7 +6,7 @@
hyperv-iso)
if [ "$major_version" -eq "16" ]; then
apt-get install -y linux-tools-virtual-lts-xenial linux-cloud-tools-virtual-lts-xenial;
- elif [ "$major_version" -ge "17" ]; then
+ else
apt-get -y install linux-image-virtual linux-tools-virtual linux-cloud-tools-virtual;
... | bash |
d_bash_2732 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/sh
COVERALLS_URL='https://coveralls.io/api/v1/jobs'
-CLOVERAGE_VERSION='1.0.6' lein2 cloverage -o cov --coveralls
+CLOVERAGE_VERSION='1.0.6' lein cloverage -o cov --coveralls
curl -F 'json_file=@cov/coveralls.json' "$COVERALLS_URL" | bash |
d_bash_2733 | ---
+++
@@ -8,17 +8,17 @@
# Run crawler
scrapy crawl nesapp
# Print meta.json
-echo "${YELLOW}$(cat meta.json)"
+echo "${YELLOW}$(cat meta.json)${NC}"
# Get timestamp at end of scraping
TIMESTAMP=$(date +"%Y-%m-%d %H:%M")
# Push to git
-echo "\nPush to nesappscraper:"
+echo "\n${YELLOW}Push to nesappscraper:${N... | bash |
d_bash_2734 | ---
+++
@@ -47,4 +47,4 @@
fi
echo "Running systemtests"
-time ./systemtests/scripts/run_test_kubernetes.sh templates/build/enmasse-${TAG} ${SYSTEMTEST_PROFILE} ${SYSTEMTEST_ARGS}
+time ./systemtests/scripts/run_test_kubernetes.sh ${PWD}/templates/build/enmasse-${TAG} ${SYSTEMTEST_PROFILE} ${SYSTEMTEST_ARGS} | bash |
d_bash_2735 | ---
+++
@@ -2,6 +2,7 @@
set -e
timestamp=`date +%Y%m%d%H%M`
+timestampfilename=`date +%Y-%m-%d-%H%M`
filename=transit-${timestamp}.db
[ -f google_transit.zip ] && rm google_transit.zip
@@ -18,7 +19,7 @@
echo 'VACUUM;' | sqlite3 $filename
sha512=(`shasum -a 512 $filename`)
gzip $filename
-cat << EOF > $tim... | bash |
d_bash_2736 | ---
+++
@@ -5,3 +5,12 @@
export FZF_DEFAULT_COMMAND="rg --files --hidden --glob '!.git'"
export FZF_CTRL_T_COMMAND="$FZF_DEFAULT_COMMAND"
+
+# Add ~/.local/bin to $PATH if it is not there
+local_bin=$HOME/.local/bin
+if [[ -d $local_bin ]]; then
+ if [[ ${path[(i)$local_bin]} -gt ${#path} ]]; then
+ export PATH=... | bash |
d_bash_2737 | ---
+++
@@ -25,14 +25,7 @@
# Do not use `GREP_OPTIONS`
alias grep='grep --color=auto'
-# Git
-alias gita='git add'
-alias gitc='git commit'
-alias gitd='git diff'
-alias gitl='git log'
-alias gits='git status'
-alias gitsl='git shortlog'
-
+exists "vi" || alias vi=vim
exists "safe-rm" && alias rm=safe-rm
# vi... | bash |
d_bash_2738 | ---
+++
@@ -13,6 +13,9 @@
ALTER TABLE PublishXRef
ADD mean double AFTER DataId;
+ ALTER TABLE CaseAttribute
+ ADD Description varchar(255) AFTER Name;
+
-- This takes some time
ALTER TABLE ProbeSet
ADD UniProtID varchar(20) AFTER ProteinName; | bash |
d_bash_2739 | ---
+++
@@ -1,19 +1,19 @@
#!/bin/bash
echo "Building website..."
-npm run build
+cd demo/
+rm -rf node_modules/ bower_components/*
+npm install
+bower install
+ember build --environment production
echo "Arranging built website in website/"
rm -rf website
mkdir website
-# rename demo/website-index.html to b... | bash |
d_bash_2740 | ---
+++
@@ -4,7 +4,7 @@
EXTRACTED=0
for ZIP_FILE in zips/android*.zip; do
((TOTAL++))
- APK_FILE=$(echo $ZIP_FILE | sed "s/android/ContentShell/;s/zip/apk/")
+ APK_FILE=$(echo $ZIP_FILE | sed "s/android/ContentShell/;s/zip/apk/g")
if [ ! -f $APK_FILE ]; then
echo "Extracting $APK_FILE..."
unzip -p... | bash |
d_bash_2741 | ---
+++
@@ -4,7 +4,7 @@
set -e
REPO="$(echo $1 | sed -e's/ppa://')"
-FILE="$(echo $1 | sed -e's/[^A-Za-z-]/-/g')"
+FILE="$(echo $1 | sed -e's/[^A-Za-z-]/-/g').list"
KEY=$2
DISTRIB_CODENAME="$(lsb_release -c -s || echo $3)" | bash |
d_bash_2742 | ---
+++
@@ -13,7 +13,7 @@
run_ip() {
if [ ! -f Eva.widget/netstat.ipworking ]; then
touch Eva.widget/netstat.ipworking
- IP=$(dig +short myip.opendns.com +tries=5 @resolver1.opendns.com)
+ IP=$(curl https://diagnostic.opendns.com/myip)
if [[ $IP != *.*.*.* ]];
then
... | bash |
d_bash_2743 | ---
+++
@@ -7,9 +7,9 @@
echo CYBER_DOJO_WEB_SHA="$(image_sha)"
echo CYBER_DOJO_WEB_TAG="$(image_tag)"
- echo CYBER_DOJO_DIFFER_SHA=52a2cab52bbbe5f418d066aa6e7c32ced1cf65e2
- echo CYBER_DOJO_DIFFER_TAG=52a2cab
-
+ echo CYBER_DOJO_DIFFER_SHA=cddbc35b93e5effb05b0d45014ec7973c714d9af
+ echo CYBER_DOJO_DIF... | bash |
d_bash_2744 | ---
+++
@@ -4,5 +4,4 @@
# FIXME: this prints the tip, which isn't useful if you're on a different
# branch, or just not sync'd to the tip.
-hg tip --template 'hg-{rev}:{node|short}'
-
+hg tip --template 'hg-{rev}:{node|short}' || echo "hg-0:baadf00d" | bash |
d_bash_2745 | ---
+++
@@ -9,3 +9,4 @@
# install prog AND tests requirements :
pip install -r test/requirements.txt
+python setup.py develop | bash |
d_bash_2746 | ---
+++
@@ -3,8 +3,12 @@
MD_JAR=$1
-RT_JAR=$JAVA_HOME/jre/lib/rt.jar
-COMMAND="java -jar ${MD_JAR} --verbose -cp $RT_JAR"
+JAR_TO_ANALYSE=$2
+if [ -z "$JAR_TO_ANALYSE" ]; then
+ JAR_TO_ANALYSE=$JAVA_HOME/jre/lib/rt.jar
+fi
+
+COMMAND="java -jar ${MD_JAR} --verbose -cp $JAR_TO_ANALYSE"
echo "Running command: ... | bash |
d_bash_2747 | ---
+++
@@ -1,5 +1,9 @@
#!/bin/bash
set -e # exit with nonzero exit code if anything fails
+
+git config --global user.email "Travis@nomail"
+git config --global user.name "Travis"
+git config --global push.default simple
# go to the out directory and create a *new* Git repo
cd _build/html
@@ -11,9 +15,6 @@
gi... | bash |
d_bash_2748 | ---
+++
@@ -1,26 +1,26 @@
#!/bin/bash
-if [ $# -ne 1 -o $# -ne 2 ]
+if [[ $# -ne 1 || $# -ne 2 ]]
then
echo "Device name is expected! Run 'dmesg' to see the device name."
exit 1
fi
-if [ $# -eq 1 ]; then
+if [[ $# -eq 1 ]]; then
fstype="vfat"
device=$1
fi
-if [ $# -eq 2 ]; then
+if [[ $# -eq 2... | bash |
d_bash_2749 | ---
+++
@@ -2,8 +2,7 @@
#
# This installs some native OS X apps
-brew tap phinze/homebrew-cask
-brew install brew-cask
+brew install caskroom/cask/brew-cask
function installcask() {
brew cask install "${@}" 2> /dev/null
@@ -11,6 +10,7 @@
installcask alfred
installcask appcleaner
+installcask atom
ins... | bash |
d_bash_2750 | ---
+++
@@ -3,17 +3,26 @@
# Check if there is 1 occurence of the package defined in apt-requirements in
# the dpkg -l, listing of installed packages on this system.
+is_missing_packages=false
+the_missing_packages=""
+
for line in $(cat apt-requirements.txt); do
-
count=`dpkg --get-selections | cut -f1 | grep... | bash |
d_bash_2751 | ---
+++
@@ -29,7 +29,7 @@
exit $res
fi
-ctest --timeout 60 $4
+ctest --timeout 60 --output-on-failure $4
res=$?
if [ $res -ne 0 ]; then
exit $res | bash |
d_bash_2752 | ---
+++
@@ -10,10 +10,10 @@
local gitref="${2:-master}"
if [ "$plugin_name" = "--all" ]; then
if [ -d "$(asdf_data_dir)"/plugins ]; then
- for dir in $(find "$(asdf_data_dir)"/plugins -type d -mindepth 1 -maxdepth 1);
+ while IFS= read -r -d '' dir; do
echo "Updating $(basename "$dir")..... | bash |
d_bash_2753 | ---
+++
@@ -8,7 +8,7 @@
docker build --pull -t gosu .
rm -f gosu* SHA256SUMS*
-docker run --rm gosu bash -c 'cd /go/bin && tar -c gosu*' | tar -xv
+docker run --rm gosu sh -c 'cd /go/bin && tar -c gosu*' | tar -xv
sha256sum gosu* | tee SHA256SUMS
ls -lFh gosu* SHA256SUMS*
| bash |
d_bash_2754 | ---
+++
@@ -3,7 +3,7 @@
last_working=""
# Create .pth files
-for binary in python2 python2.0 python2.1 python2.2 python2.3 python2.4 python2.5 python _python_preferred_; do
+for binary in python2 python2.0 python2.1 python2.2 python2.3 python2.4 python2.5 python2.6 python _python_preferred_; do
if ${binary} ... | bash |
d_bash_2755 | ---
+++
@@ -21,3 +21,30 @@
git init
git remote add origin git@github.com:tylermenezes/Sublime-Text-Settings.git
git pull origin master
+
+
+
+cat << 'EOF' > "~/.local/share/applications/Sublime Text 2.desktop"
+#!/usr/bin/env xdg-open
+
+[Desktop Entry]
+Version=1.0
+Name=Sublime Text 2
+Comment=Edit text files us... | bash |
d_bash_2756 | ---
+++
@@ -13,7 +13,7 @@
pip install -r requirements.txt
python setup.py develop
if ! command -v docker > /dev/null 2>&1; then
- wget https://get.docker.io/ | sh
+ wget -qO- https://get.docker.io/ | sh
fi
sudo chown -R $(whoami): /etc/nginx/
... | bash |
d_bash_2757 | ---
+++
@@ -1,4 +1,4 @@
-function colors() {
+function print_colors() {
for i in {0..255}; do
printf "\x1b[38;5;${i}mcolour${i}\n"
done | bash |
d_bash_2758 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
-[[ -d SDL2 ]] || git clone -q https://github.com/danpla/sdl2-fpc SDL2
+[[ -d SDL2 ]] || git clone -q https://git@github.com/de-signer/sdl2-fpc SDL2
[[ -d SDL2/SDL2 ]] && (mv SDL2/SDL2 temp; rm -rf SDL2; mv temp SDL2; chmod -x SDL2/*)
true | bash |
d_bash_2759 | ---
+++
@@ -10,7 +10,7 @@
# NOTE: some packages are difficult to install if they are not site packages,
# for example xapian. If using these you might want to add the
# '--enable-site-packages' argument.
-virtualenv --no-site-packages ../virtualenv-{{ project_name }}
+virtualenv ../virtualenv-{{ project_name }}
s... | bash |
d_bash_2760 | ---
+++
@@ -5,6 +5,9 @@
then
docker pull bioconda/bioconda-builder
else
+ # install Rust
+ curl -sSf http://static.rust-lang.org/rustup.sh | sh -s -- --channel=nightly -y --disable-sudo
+
# install conda
wget https://repo.continuum.io/miniconda/Miniconda3-latest-MacOSX-x86_64.sh
bash Minic... | bash |
d_bash_2761 | ---
+++
@@ -3,13 +3,32 @@
# Parse command line arguments.
prune=false
push=false
-for key in "$@"; do
+cpu_shares=0
+cpu_quota=-1
+while [[ $# -gt 0 ]]; do
+ key="$1"
case $key in
--prune)
prune=true
+ shift
;;
--push)
push=true
+ shift
+ ;;... | bash |
d_bash_2762 | ---
+++
@@ -7,6 +7,7 @@
'components/Contracts/:git@github.com:limoncello-php-dist/contracts.git'
'components/Core/:git@github.com:limoncello-php-dist/core.git'
'components/Crypt/:git@github.com:limoncello-php-dist/crypt.git'
+ 'components/Flute/:git@github.com:limoncello-php-dist/flute.git'
'co... | bash |
d_bash_2763 | ---
+++
@@ -7,7 +7,7 @@
conda config --add channels r
conda config --add channels bioconda
conda install --yes abyss biopython bedtools pandas networkx
-
+conda clean --all --yes
# SDSL-lite
# https://hub.docker.com/r/adamnovak/sequence-graphs/~/dockerfile/ | bash |
d_bash_2764 | ---
+++
@@ -8,7 +8,7 @@
apps=(
alfred
- dash
+ dash2
dropbox
firefox
firefox-nightly | bash |
d_bash_2765 | ---
+++
@@ -3,7 +3,7 @@
# Build binary distribution. Requires environment variable GR1C_VERSION.
# The target platform is guessed using the uname command.
-CUDDVER=2.5.0
+CUDDVER=2.5.1
KERNEL=`uname -s`
ARCH=`uname -m` | bash |
d_bash_2766 | ---
+++
@@ -1,7 +1,9 @@
#!/usr/bin/env bash
+# This script executes any symlinked binary under a "/host" chroot
-ME=`basename "$0"`
-#echo "I am ${ME}"
+set +x
+
+ME=$(basename "$0")
DIR="/host"
if [ ! -d "${DIR}" ]; then
@@ -9,5 +11,4 @@
exit 1
fi
-#echo chroot /host /usr/bin/env -i PATH="/sbin:/bin:/... | bash |
d_bash_2767 | ---
+++
@@ -15,4 +15,6 @@
node \
ruby \
tree \
- yarn
+ yarn \
+ python \
+ python3 | bash |
d_bash_2768 | ---
+++
@@ -10,7 +10,7 @@
mkdir -p ~/trash/
-apt-get -q -y install python-software-properties software-properties-common
+apt-get -q -y install python-software-properties software-properties-common curl
add-apt-repository -y ppa:kilian/f.lux
add-apt-repository -y ppa:nginx/$nginx | bash |
d_bash_2769 | ---
+++
@@ -13,7 +13,17 @@
# - Create the shared persistent volume
# - Create the deployment replication controllers for NGINX and PHP-FPM
# - Create the services for the NGINX and PHP-FPM deployment
-kubectl apply -f ../kubernetes
+# kubectl apply -f ../kubernetes
+
+kubectl apply -f ../kubernetes/persistent-volu... | bash |
d_bash_2770 | ---
+++
@@ -4,7 +4,7 @@
bash -x build_macos_binary.sh
elif [ "$TRAVIS_OS_NAME" = "linux" ] ; then
sudo apt -qq update
- sudo apt install -y fakeroot
+ sudo apt install -y fakeroot libczmq-dev
bash -x build_deb_package.sh
fi | bash |
d_bash_2771 | ---
+++
@@ -7,7 +7,7 @@
set -e
# Core deps.
-sudo apt-get install build-essential cmake wget
+sudo apt-get install build-essential cmake wget clang
# Create the build dir and cd into it.
mkdir build
@@ -18,13 +18,13 @@
wget https://gmplib.org/download/gmp/gmp-${GMP_VERSION}.tar.bz2 -O gmp.tar.bz2
tar xjvf g... | bash |
d_bash_2772 | ---
+++
@@ -1,6 +1,7 @@
#!/bin/bash
#SBATCH -n {PASS9/CORES} # Number of cores
+#SBATCH -N 1 # Ensure that all cores are on one machine
#SBATCH -t {PASS9/TIME} # Runtime in minutes
#SBATCH -p {SLURM_PARTITION} # Partition to submit to
#SBATCH --mem-per-cpu={PASS9/MEMORY} # Memory per... | bash |
d_bash_2773 | ---
+++
@@ -15,12 +15,12 @@
if [ ! $http_proxy == "" ]
then
docker build --no-cache --build-arg https_proxy=$https_proxy --build-arg http_proxy=$http_proxy \
- --build-arg GIT_COMMIT=$GIT_COMMIT --build-arg VERSION=$VERSION -t functions/watchdog:build .
+ --build-arg GIT_COMMIT=$GIT_COMMIT --bui... | bash |
d_bash_2774 | ---
+++
@@ -17,7 +17,7 @@
for d in $(go list ./... | grep -v vendor); do
go test -race -coverprofile=profile.out -covermode=atomic "$d"
- if [ -f profile.out ]; then
+ if [[ -f profile.out ]]; then
cat profile.out >> coverage.txt
rm profile.out
fi | bash |
d_bash_2775 | ---
+++
@@ -4,8 +4,8 @@
# Makes a backup copy of a MySQL database
#
-# Prepare mysql args, this is needed to include only non-empty arguments.
-MYSQL_OPTS=""
+# Prepare mysql args
+MYSQL_OPTS="--master-data=2"
if [ -n "$MYSQL_USER" ]; then
MYSQL_OPTS="$MYSQL_OPTS -u$MYSQL_USER"
fi | bash |
d_bash_2776 | ---
+++
@@ -19,15 +19,12 @@
# Install localy
else
- # Add to profile
- for FILE in $HOME/.profile $HOME/.bash_profile $HOME/.bashrc; do
- if [[ -f $FILE ]]; then
- if [[ $(grep -s "$SOTE_PATH" $FILE) ]]; then
- unset FILE; break
- fi
- fi
- done
+ # T... | bash |
d_bash_2777 | ---
+++
@@ -6,11 +6,11 @@
# testing using each of those interpreters.
#
-pyversions=(2.7.7
- 3.4.3
- 3.5.5
- 3.6.6
- 3.7.0
+pyversions=(2.7.16
+ 3.4.10
+ 3.5.7
+ 3.6.8
+ 3.7.3
pypy2.7-6.0.0
pypy3.5-6.... | bash |
d_bash_2778 | ---
+++
@@ -4,4 +4,4 @@
GCOV_SRC_DIR=`xcodebuild -project Followers.xcodeproj -scheme Followers -showBuildSettings |grep -i " BUILD_DIR = " |awk -F= '{print $2}' |sed 's/ //g'`/..
echo GCOV_SRC_DIR = $GCOV_SRC_DIR
-coveralls -b $GCOV_SRC_DIR --verbose -r .
+coveralls -b $GCOV_SRC_DIR --verbose -r . -x .m,.h,.mm | bash |
d_bash_2779 | ---
+++
@@ -2,4 +2,4 @@
echo "###################### RUN DEV VERSION ######################"
echo "##############################################################"
-cd .. && mvn clean tomcat7:run -Dspring.profiles.active=dev
+cd .. && mvn clean package && mvn tomcat7:run -Dspring.profiles.active=dev | bash |
d_bash_2780 | ---
+++
@@ -4,6 +4,9 @@
# setup
cd $WORKSPACE/analytics-tools/snowflake
pip install -r requirements/microbachelors.txt
+
+# download the SFTP credentials from S3
+aws s3 cp $SFTP_CREDENTIALS_BUCKET $WORKSPACE/
# run the script twice to generate student and course reports for ITK
python send_coaching_data_itk.p... | bash |
d_bash_2781 | ---
+++
@@ -12,5 +12,10 @@
cp Gemfile.lock Gemfile.lock.orig
BUNDLE_FROZEN=1 bundle install
diff -u Gemfile.lock.orig Gemfile.lock >&2
-bundle install --deployment
+
+if ruby -rbundler -e 'exit Gem::Version.new(Bundler::VERSION) >= Gem::Version.new("2.1") ? 0 : 1'; then
+ BUNDLE_DEPLOYMENT=1 bundle install
+else
+... | bash |
d_bash_2782 | ---
+++
@@ -17,6 +17,7 @@
BASE_GPG=$(pwd)/../../portfolio-product/target/gpg/target/products/
FILES=$(cat <<EOF
+PortfolioPerformance-${PCK_VERSION}-setup.exe
PortfolioPerformance-${PCK_VERSION}-linux.gtk.x86_64.tar.gz
PortfolioPerformance-${PCK_VERSION}-win32.win32.x86_64.zip
PortfolioPerformance-distro-${PCK... | bash |
d_bash_2783 | ---
+++
@@ -12,6 +12,9 @@
[ -z "$CONTAINER_TAG" ] && CONTAINER_TAG="roslyn-build"
[ -z "$CONTAINER_NAME" ] && CONTAINER_NAME="roslyn-build-container"
[ -z "$DOCKER_HOST_SHARE_dir" ] && DOCKER_HOST_SHARE_DIR="$dir"/../..
+
+# Ensure the container isn't already running. Can happened for cancelled jobs in CI
+docker ... | bash |
d_bash_2784 | ---
+++
@@ -19,7 +19,7 @@
while getopts ":p:t:" opt; do
case $opt in
p ) PARALLEL=$OPTARG;;
- r ) TIMEOUT=$OPTARG;;
+ t ) TIMEOUT=$OPTARG;;
esac
done
@@ -42,4 +42,10 @@
KUBE_PID=$!
# Kill processes once done
-(while kill -0 $TEST_PID; do sleep 5; done) && kill $KUBE_PID
+(while ps -p $TEST_PID > /... | bash |
d_bash_2785 | ---
+++
@@ -1,10 +1,10 @@
#!/bin/bash
echo "Seeding _SCHEMA"
-mongoimport -h db:27017 -d dakiya -u $MONGO_INITDB_ROOT_USERNAME -p $MONGO_INITDB_ROOT_PASSWORD -c _SCHEMA --file seed-data/_SCHEMA.json
+mongoimport -h db:27017 -d dakiya -c _SCHEMA --file seed-data/_SCHEMA.json
echo "Seeding Employees"
-mongoimpo... | bash |
d_bash_2786 | ---
+++
@@ -34,6 +34,12 @@
EOL
fi
+if [ ! -d /var/lib/tensor ];
+then
+ mkdir -p /var/lib/tensor
+ cp /tmp/*.lf /var/lib/tensor/
+fi
+
update-rc.d tensor defaults
service tensor status >/dev/null 2>&1
| bash |
d_bash_2787 | ---
+++
@@ -24,5 +24,6 @@
timeout 20m nice python manage.py verify_search_index_integrity 2>&1
-curl --retry 3 'https://hchk.io/6c320360-7e66-4ae2-975a-1ecd4e9fd92e'
-
+if [[ -n "${IMPORT_HEALTHCHECK_URL}" ]]; then
+ curl --retry 3 "${IMPORT_HEALTHCHECK_URL}"
+fi | bash |
d_bash_2788 | ---
+++
@@ -9,6 +9,9 @@
## aliases
source ~/.shell/aliases.sh
+## disable flow control
+stty -ixon
+
## liquidprompt
[[ ( -e ~/.liquidprompt/ ) && ( $- = *i* ) ]] && source ~/.liquidprompt/liquidprompt
| bash |
d_bash_2789 | ---
+++
@@ -9,9 +9,8 @@
then
cd leap_platform
/usr/bin/git pull
- /usr/bin/git submodule update --init
else
- /usr/bin/git clone --branch develop --recursive https://leap.se/git/leap_platform.git
+ /usr/bin/git clone https://leap.se/git/leap_platform.git
cd leap_platform
fi
| bash |
d_bash_2790 | ---
+++
@@ -17,18 +17,12 @@
# Get colour for diffstat
alias diffstat='diffstat -C'
-# Calendar in a normal, non-stupid format. Weeks start on Monday!
-alias cal='ncal -bM'
-
# Syntax highlighting for bashdb
alias bashdb='bashdb --highlight'
# Is the internet on fire?
alias iiof='dig +short txt istheinternet... | bash |
d_bash_2791 | ---
+++
@@ -8,7 +8,7 @@
alias l='ls -CF'
alias la='ls -A'
alias lg='ls -alF | grep'
-alias ll='ls -alF'
+alias ll='ls -aFhl'
# Shortcuts
alias d=docker | bash |
d_bash_2792 | ---
+++
@@ -3,6 +3,7 @@
mongo mongo:27017 <<< "rs.initiate({_id: 'rs0', members: [{_id: 0, host: 'mongo:27017'}], protocolVersion: 1}, {force: true})"
curl -XPUT 'http://elasticsearch:9200/slack_logger' -d '{
"settings": {
+ "index.mapping.total_fields.limit": 50000,
"analysis": {
"analyzer": {
... | bash |
d_bash_2793 | ---
+++
@@ -6,7 +6,7 @@
: ${cpi_release_name:?must be set}
: ${stemcell_name:?must be set}
-timestamp=`date -u +"%Y-%m-%dT%H-%M-%SZ"`
+timestamp=`date -u +"%Y-%m-%dT%H:%M:%SZ"`
bosh_release_version=$(cat bosh-release/version)
cpi_release_version=$(cat bosh-cpi-release/version)
stemcell_version=$(cat stemcell/v... | bash |
d_bash_2794 | ---
+++
@@ -11,7 +11,7 @@
set -evx
-branch="expeditor/$EXPEDITOR_REPO_$EXPEDITOR_LATEST_COMMIT"
+branch="expeditor/${EXPEDITOR_REPO}_${EXPEDITOR_LATEST_COMMIT}"
git checkout -b "$branch"
bundle lock --update
@@ -20,7 +20,7 @@
# give a friendly message for the commit and make sure it's noted for any future... | bash |
d_bash_2795 | ---
+++
@@ -1,3 +1,3 @@
mkdir distro
wget -O distro/distro.tar.gz http://archlinuxarm.org/os/ArchLinuxARM-rpi-latest.tar.gz
-docker build -t sktb/arch-pi1 .
+docker build -t sktb/arch-pi . | bash |
d_bash_2796 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-set -eo pipefail
+#set -eo pipefail
PROFILE=$1
@@ -29,5 +29,12 @@
cp $MASTER/master-config.yaml /tmp/master-config.yaml
-openshift ex config patch /tmp/master-config.yaml \
- --patch "$PATCH" > $MASTER/master-config.yaml
+openshift ex --help > /dev/null 2>&1
+
+if ... | bash |
d_bash_2797 | ---
+++
@@ -9,3 +9,4 @@
for c in $user_commands; do; alias sc-$c="systemctl $c"; done
for c in $sudo_commands; do; alias sc-$c="sudo systemctl $c"; done
+alias sc-launch="sudo systemctl start $c && sudo systemctl enable $c" | bash |
d_bash_2798 | ---
+++
@@ -1,6 +1,7 @@
#!/usr/bin/env bash
-export NODE_HOME=$HOME/node
+NODE_HOME=$HOME/node
+export NODE_HOME
mkdir ${NODE_HOME}
if [ "${TRAVIS_OS_NAME}" == "osx" ]; then
curl https://s3.amazonaws.com/mapbox/apps/install-node/v2.0.0/run | NV=4.4.2 NP=darwin-x64 OD=${NODE_HOME} sh
@@ -8,7 +9,8 @@
curl ht... | bash |
d_bash_2799 | ---
+++
@@ -7,12 +7,12 @@
brew install s3cmd
brew install vim
brew install the_silver_searcher
-brew install php70
-brew install php70-mcrypt
-brew install php70-intl
-brew install php70-xdebug
+brew install homebrew/php/php70
+brew install homebrew/php/php70-mcrypt
+brew install homebrew/php/php70-intl
+brew inst... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.